import os

bases = [
    "ACACIA_LOG",
    "ACACIA_PLANKS",
    "AMETHYST_BLOCK",
    "AMETHYST_CLUSTER",
    "ANCIENT_DEBRIS",
    "ANDESITE",
    "BASALT",
    "BEEHIVE",
    "BEE_NEST",
    "BIRCH_LOG",
    "BIRCH_PLANKS",
    "BLACKSTONE",
    "BLACK_TERRACOTTA",
    "BLACK_WOOL",
    "BLUE_ICE",
    "BLUE_TERRACOTTA",
    "BLUE_WOOL",
    "BONE_BLOCK",
    "BOOKSHELF",
    "BRAIN_CORAL_BLOCK",
    "BRICKS",
    "BROWN_MUSHROOM",
    "BROWN_MUSHROOM_BLOCK",
    "BROWN_TERRACOTTA",
    "BROWN_WOOL",
    "BUBBLE_CORAL_BLOCK",
    "BUDDING_AMETHYST",
    "CALCITE",
    "CHISELED_DEEPSLATE",
    "CHISELED_NETHER_BRICKS",
    "CHISELED_POLISHED_BLACKSTONE",
    "CHISELED_QUARTZ_BLOCK",
    "CHISELED_RED_SANDSTONE",
    "CHISELED_SANDSTONE",
    "CHISELED_STONE_BRICKS",
    "CHORUS_FLOWER",
    "CHORUS_PLANT",
    "CLAY",
    "COAL_BLOCK",
    "COAL_ORE",
    "COARSE_DIRT",
    "COBBLED_DEEPSLATE",
    "COBBLESTONE",
    "COPPER_BLOCK",
    "COPPER_ORE",
    "CRACKED_DEEPSLATE_BRICKS",
    "CRACKED_DEEPSLATE_TILES",
    "CRACKED_NETHER_BRICKS",
    "CRACKED_POLISHED_BLACKSTONE_BRICKS",
    "CRACKED_STONE_BRICKS",
    "CRIMSON_FUNGUS",
    "CRIMSON_HYPHAE",
    "CRIMSON_NYLIUM",
    "CRIMSON_PLANKS",
    "CRIMSON_ROOTS",
    "CRYING_OBSIDIAN",
    "CUT_COPPER",
    "CUT_RED_SANDSTONE",
    "CUT_SANDSTONE",
    "CYAN_TERRACOTTA",
    "CYAN_WOOL",
    "DARK_OAK_LOG",
    "DARK_OAK_PLANKS",
    "DARK_PRISMARINE",
    "DEAD_BRAIN_CORAL_BLOCK",
    "DEAD_BUBBLE_CORAL_BLOCK",
    "DEAD_FIRE_CORAL_BLOCK",
    "DEAD_HORN_CORAL_BLOCK",
    "DEAD_TUBE_CORAL_BLOCK",
    "DEEPSLATE",
    "DEEPSLATE_BRICKS",
    "DEEPSLATE_COAL_ORE",
    "DEEPSLATE_COPPER_ORE",
    "DEEPSLATE_DIAMOND_ORE",
    "DEEPSLATE_EMERALD_ORE",
    "DEEPSLATE_GOLD_ORE",
    "DEEPSLATE_IRON_ORE",
    "DEEPSLATE_LAPIS_ORE",
    "DEEPSLATE_REDSTONE_ORE",
    "DEEPSLATE_TILES",
    "DIAMOND_BLOCK",
    "DIAMOND_ORE",
    "DIORITE",
    "DIRT",
    "DRIED_KELP_BLOCK",
    "DRIPSTONE_BLOCK",
    "EMERALD_BLOCK",
    "EMERALD_ORE",
    "END_PORTAL_FRAME",
    "END_STONE",
    "END_STONE_BRICKS",
    "EXPOSED_COPPER",
    "EXPOSED_CUT_COPPER",
    "FIRE_CORAL_BLOCK",
    "GILDED_BLACKSTONE",
    "GLOWSTONE",
    "GOLD_BLOCK",
    "GOLD_ORE",
    "GRANITE",
    "GRAVEL",
    "GRAY_TERRACOTTA",
    "GRAY_WOOL",
    "GREEN_TERRACOTTA",
    "GREEN_WOOL",
    "HAY_BLOCK",
    "HONEYCOMB_BLOCK",
    "HONEY_BLOCK",
    "HORN_CORAL_BLOCK",
    "ICE",
    "IRON_BARS",
    "IRON_BLOCK",
    "IRON_ORE",
    "JUNGLE_LOG",
    "JUNGLE_PLANKS",
    "LAPIS_BLOCK",
    "LAPIS_ORE",
    "LIGHT_BLUE_TERRACOTTA",
    "LIGHT_BLUE_WOOL",
    "LIGHT_GRAY_TERRACOTTA",
    "LIGHT_GRAY_WOOL",
    "LIME_TERRACOTTA",
    "LIME_WOOL",
    "LODESTONE",
    "MAGENTA_TERRACOTTA",
    "MAGENTA_WOOL",
    "MAGMA_BLOCK",
    "MANGROVE_LOG",
    "MANGROVE_PLANKS",
    "MELON",
    "MOSSY_COBBLESTONE",
    "MOSSY_STONE_BRICKS",
    "MOSS_BLOCK",
    "MUD",
    "MUDDY_MANGROVE_ROOTS",
    "MUD_BRICKS",
    "MUSHROOM_STEM",
    "MYCELIUM",
    "NETHERITE_BLOCK",
    "NETHERRACK",
    "NETHER_BRICKS",
    "NETHER_GOLD_ORE",
    "NETHER_QUARTZ_ORE",
    "NETHER_WART_BLOCK",
    "OAK_LOG",
    "OAK_PLANKS",
    "OBSIDIAN",
    "OCHRE_FROGLIGHT",
    "ORANGE_TERRACOTTA",
    "ORANGE_WOOL",
    "OXIDIZED_COPPER",
    "OXIDIZED_CUT_COPPER",
    "PACKED_ICE",
    "PACKED_MUD",
    "PEARLESCENT_FROGLIGHT",
    "PINK_TERRACOTTA",
    "PINK_WOOL",
    "POLISHED_ANDESITE",
    "POLISHED_BASALT",
    "POLISHED_BLACKSTONE",
    "POLISHED_BLACKSTONE_BRICKS",
    "POLISHED_DEEPSLATE",
    "POLISHED_DIORITE",
    "POLISHED_GRANITE",
    "PRISMARINE_BRICKS",
    "PUMPKIN",
    "PURPLE_TERRACOTTA",
    "PURPLE_WOOL",
    "PURPUR_BLOCK",
    "PURPUR_PILLAR",
    "QUARTZ_BLOCK",
    "QUARTZ_BRICKS",
    "QUARTZ_PILLAR",
    "RAW_COPPER_BLOCK",
    "RAW_GOLD_BLOCK",
    "RAW_IRON_BLOCK",
    "REDSTONE_BLOCK",
    "REDSTONE_ORE",
    "RED_MUSHROOM",
    "RED_MUSHROOM_BLOCK",
    "RED_NETHER_BRICKS",
    "RED_SAND",
    "RED_SANDSTONE",
    "RED_TERRACOTTA",
    "RED_WOOL",
    "REINFORCED_DEEPSLATE",
    "RESPAWN_ANCHOR",
    "ROOTED_DIRT",
    "SAND",
    "SANDSTONE",
    "SCULK",
    "SCULK_CATALYST",
    "SHROOMLIGHT",
    "SLIME_BLOCK",
    "SMOOTH_BASALT",
    "SMOOTH_QUARTZ",
    "SMOOTH_RED_SANDSTONE",
    "SMOOTH_SANDSTONE",
    "SMOOTH_STONE",
    "SNOW_BLOCK",
    "SOUL_SAND",
    "SOUL_SOIL",
    "SPONGE",
    "SPRUCE_LOG",
    "SPRUCE_PLANKS",
    "STONE",
    "STONE_BRICKS",
    "STRIPPED_ACACIA_LOG",
    "STRIPPED_BIRCH_LOG",
    "STRIPPED_CRIMSON_HYPHAE",
    "STRIPPED_DARK_OAK_LOG",
    "STRIPPED_JUNGLE_LOG",
    "STRIPPED_MANGROVE_LOG",
    "STRIPPED_OAK_LOG",
    "STRIPPED_SPRUCE_LOG",
    "STRIPPED_WARPED_HYPHAE",
    "TARGET",
    "TERRACOTTA",
    "TNT",
    "TUBE_CORAL_BLOCK",
    "TUFF",
    "VERDANT_FROGLIGHT",
    "WARPED_FUNGUS",
    "WARPED_HYPHAE",
    "WARPED_NYLIUM",
    "WARPED_PLANKS",
    "WARPED_ROOTS",
    "WARPED_WART_BLOCK",
    "WEATHERED_COPPER",
    "WEATHERED_CUT_COPPER",
    "WET_SPONGE",
    "WHITE_TERRACOTTA",
    "WHITE_WOOL",
    "YELLOW_TERRACOTTA",
    "YELLOW_WOOL"]

# MoreBeautifulTorchesClient.java
file = open("4GEN.txt", "w+")
for item in bases:
    file.write(r'            content.add(ModItems.ACACIA_LOG_REDSTONE_TORCH_ITEM);'.replace("ACACIA_LOG", item) + '\n')
    file.write(r'            content.add(ModItems.ACACIA_LOG_SOUL_TORCH_ITEM);'.replace("ACACIA_LOG", item) + '\n')
    file.write(r'            content.add(ModItems.ACACIA_LOG_TORCH_ITEM);'.replace("ACACIA_LOG", item) + '\n')
file.close()
os.startfile("4GEN.txt")

# MoreBeautifulTorchesClient.java
# file = open("3GEN.txt", "w+")
# for item in bases:
#     file.write(r'        BlockRenderLayerMap.INSTANCE.putBlock(ModBlocks.ACACIA_LOG_REDSTONE_TORCH, RenderLayer.getCutout());'.replace("ACACIA_LOG", item) + '\n' +
#     r'BlockRenderLayerMap.INSTANCE.putBlock(ModBlocks.ACACIA_LOG_REDSTONE_WALL_TORCH, RenderLayer.getCutout());'.replace("ACACIA_LOG", item) + '\n' +
#     r'BlockRenderLayerMap.INSTANCE.putBlock(ModBlocks.ACACIA_LOG_SOUL_TORCH, RenderLayer.getCutout());'.replace("ACACIA_LOG", item) + '\n' +
#     r'BlockRenderLayerMap.INSTANCE.putBlock(ModBlocks.ACACIA_LOG_SOUL_WALL_TORCH, RenderLayer.getCutout());'.replace("ACACIA_LOG", item) + '\n' +
#     r'BlockRenderLayerMap.INSTANCE.putBlock(ModBlocks.ACACIA_LOG_TORCH, RenderLayer.getCutout());'.replace("ACACIA_LOG", item) + '\n' +
#     r'BlockRenderLayerMap.INSTANCE.putBlock(ModBlocks.ACACIA_LOG_WALL_TORCH, RenderLayer.getCutout());'.replace("ACACIA_LOG", item) + '\n')
# file.close()
# os.startfile("3GEN.txt")

# ModItems.java
# file = open("2GEN.txt", "w+")
# for item in bases:
#     file.write(r'    public static final Item UPPER_REDSTONE_TORCH_ITEM = registerWallStandingBlockItem("lower_redstone_torch",'.replace("UPPER", item).replace("lower", item.lower()) + '\n' +
#     r'new WallStandingBlockItem(ModBlocks.UPPER_REDSTONE_TORCH, ModBlocks.UPPER_REDSTONE_WALL_TORCH, new FabricItemSettings().group(ModItemGroup.MOREBEAUTIFULTORCHES)));'.replace("UPPER", item).replace("lower", item.lower()) + '\n' +
#     r'public static final Item UPPER_SOUL_TORCH_ITEM = registerWallStandingBlockItem("lower_soul_torch",'.replace("UPPER", item).replace("lower", item.lower()) + '\n' +
#     r'                                                                                    new WallStandingBlockItem(ModBlocks.UPPER_SOUL_TORCH, ModBlocks.UPPER_SOUL_WALL_TORCH, new FabricItemSettings().group(ModItemGroup.MOREBEAUTIFULTORCHES)));'.replace("UPPER", item).replace("lower", item.lower()) + '\n' +
#     r'public static final Item UPPER_TORCH_ITEM = registerWallStandingBlockItem("lower_torch",'.replace("UPPER", item).replace("lower", item.lower()) + '\n' +
#     r'                                                                               new WallStandingBlockItem(ModBlocks.UPPER_TORCH, ModBlocks.UPPER_WALL_TORCH, new FabricItemSettings().group(ModItemGroup.MOREBEAUTIFULTORCHES)));'.replace("UPPER", item).replace("lower", item.lower()) + '\n')
# file.close()
# os.startfile("2GEN.txt")

# ModBlocks.java generation
# file = open("1GEN.txt", "w+")
# for item in bases:
#     file.write(r'    public static final Block UPPER_REDSTONE_TORCH = registerBlock("lower_redstone_torch",'.replace("UPPER", item).replace("lower", item.lower()) + '\n' +
#     r'new RedstoneTorchBlock(FabricBlockSettings.copyOf(Blocks.REDSTONE_TORCH).strength(0.5f).breakInstantly().nonOpaque().noCollision()), ModItemGroup.MOREBEAUTIFULTORCHES);' + '\n' +
#     r'public static final Block UPPER_REDSTONE_WALL_TORCH = registerBlock("lower_redstone_wall_torch",'.replace("UPPER", item).replace("lower", item.lower()) + '\n' +
#     r'                                                                         new WallRedstoneTorchBlock(FabricBlockSettings.copyOf(Blocks.REDSTONE_WALL_TORCH).strength(0.5f).nonOpaque().noCollision()), ModItemGroup.MOREBEAUTIFULTORCHES);' + '\n' +
#     r'public static final Block UPPER_SOUL_TORCH = registerBlock("lower_soul_torch",'.replace("UPPER", item).replace("lower", item.lower()) + '\n' +
#     r'                                                                new TorchBlock(FabricBlockSettings.copyOf(Blocks.SOUL_TORCH).strength(0.5f).breakInstantly().nonOpaque().noCollision(), ParticleTypes.SOUL_FIRE_FLAME), ModItemGroup.MOREBEAUTIFULTORCHES);' + '\n' +
#     r'public static final Block UPPER_SOUL_WALL_TORCH = registerBlock("lower_soul_wall_torch",'.replace("UPPER", item).replace("lower", item.lower()) + '\n' +
#     r'                                                                     new WallTorchBlock(FabricBlockSettings.copyOf(Blocks.SOUL_WALL_TORCH).strength(0.5f).nonOpaque().noCollision(), ParticleTypes.SOUL_FIRE_FLAME), ModItemGroup.MOREBEAUTIFULTORCHES);' + '\n' +
#     r'public static final Block UPPER_TORCH = registerBlock("lower_torch",'.replace("UPPER", item).replace("lower", item.lower()) + '\n' +
#     r'                                                           new TorchBlock(FabricBlockSettings.copyOf(Blocks.TORCH).strength(0.5f).breakInstantly().nonOpaque().noCollision(), ParticleTypes.FLAME), ModItemGroup.MOREBEAUTIFULTORCHES);' + '\n' +
#     r'public static final Block UPPER_WALL_TORCH = registerBlock("lower_wall_torch",'.replace("UPPER", item).replace("lower", item.lower()) + '\n' +
#     r'                                                                new WallTorchBlock(FabricBlockSettings.copyOf(Blocks.WALL_TORCH).strength(0.5f).nonOpaque().noCollision(), ParticleTypes.FLAME), ModItemGroup.MOREBEAUTIFULTORCHES);' + '\n')
# file.close()
# os.startfile("1GEN.txt")